l2Book
L2 order-book snapshot for one instrument.
For an Outcome market, pass its instrument_id from
outcomeMeta as the numeric string coin.
POST/infotype
l2BookTake a one-off order-book snapshot for one instrument.
Request body
coinstringrequired
Instrument external id (numeric string) — the `index` value from the `perpMeta` response.
typestringrequired
mantissainteger · int32nullableoptional
nSigFigsinteger · int32nullableoptional
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
-H "Content-Type: application/json" \
-H "x-api-version: 2026-08-16" \
-d '{
"coin": "4",
"mantissa": 1,
"nSigFigs": 5,
"type": "l2Book"
}'Try it
Response · L2BookSnapshotResponse 200
codeinteger
`0` on success.
dataL2BookSnapshotResponse
coinstring
levelsBookLevel[][]
timeinteger · int64
successboolean
`false` on error, with `code` set and the text in `message` instead of `data`.
Response example
{
"success": true,
"code": 0,
"data": {
"coin": "4",
"levels": [
[
{
"n": 0,
"px": "0",
"sz": "0"
}
]
],
"time": 1700000000000
}
}